Subject: Proposed change to iCal (was RE: Adding more unique identifiers)

From: [email-masked] (Roger D)
Date: Wed, 25 Jul 2001 21:40:04 -0400

Did anyone have any opinion on the changes I proposed to iCalendar to add unique identifiers to those components that don't have them, and to those properties that can occur more than once in a component? I haven't seen any feedback on them; the 2 week discussion period is drawing to an end, and I'm not sure whether to interpret silence as concensus or as no-one wanting to take the time to shoot them down?

As currently written, though using them is optional, they do have implementation consequences for all implementors, since even if a calendar system does not choose to add UIDs or PUIDs to things that don't have them in RFC 2445, it MUST store and return them if replying to a request which contained them. Are people happy with this extra requirement?

--Roger

__________________________________________________________________
Your favorite stores, helpful shopping tools and great gift ideas. Experience the convenience of buying online with Shop@Netscape! http://shopnow.netscape.com/

Get your own FREE, personal Netscape Mail account today at http://webmail.netscape.com/